コンテンツにスキップ

モニター更新

PUT
/api/v1/monitors/{id}

モニターを更新する。write スコープが必要。 少なくとも1つのフィールドが必要。

id
required
string
object
name
string
>= 1 characters <= 100 characters
config

Type-specific monitor configuration

object
intervalSeconds
integer
>= 60 <= 86400
isActive
boolean

更新成功

object
monitor
object
id
string
teamId
string
type
string
Allowed values: http tcp ping heartbeat webchange ssl domain
name
string
config

Type-specific configuration

object
intervalSeconds
integer
>= 60 <= 86400
status
string
Allowed values: up down degraded unknown paused
isActive
integer
Allowed values: 0 1
lastCheckedAt
string | null format: date-time
createdAt
string format: date-time
updatedAt
string format: date-time

バリデーションエラー / 無効な config

object
error
object
code
string
Example
VALIDATION_ERROR
message
string
Example
Invalid request body
status
integer
Example
400

未認証

object
error
object
code
string
Example
VALIDATION_ERROR
message
string
Example
Invalid request body
status
integer
Example
400

Write スコープ不足

object
error
object
code
string
Example
VALIDATION_ERROR
message
string
Example
Invalid request body
status
integer
Example
400

モニターが見つからない

object
error
object
code
string
Example
VALIDATION_ERROR
message
string
Example
Invalid request body
status
integer
Example
400